Subject: New Orleans Forays ???

From: Steve Davies <[email-masked]>
Date: Fri, 08 Nov 1996 15:22:28 -0700

I am escaping the already frozen Canadian prairies for a few days in the 
New Orleans area and have Sunday the 24th free. I presume the mushroom 
flora at that latitude have not succumbed to winter yet.  Does anyone 
have info on a local group with a foray on that day or failing that info 
on areas to try in the New Orleans vicinity (I will have a car)
-- 
Steve Davies                          Tel: 403-320-4671
Agrium Inc.                           Fax: 403-327-8628
P.O. Box 3000
Lethbridge, Alberta. T1J 4B1
CANADA